%define oname pysvn

Summary:	Highlevel Subversion Python bindings
Name:		python-%{oname}
Version:	1.9.23
Release:	%mkrel 1
License:	Apache License
Group:		Development/Python
URL:		https://pysvn.sourceforge.io
Source0:	https://downloads.sourceforge.net/pysvn/pysvn-%{version}.tar.gz
Patch1:		pysvn-1.9.23-linking.patch
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(neon)
BuildRequires:	subversion-devel
BuildRequires:	subversion-tools
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-cxx-devel

%description
pysvn is a highlevel and easy to use Python bindings to Subversion.

%package -n	python3-%{oname}
Summary:	Highlevel Subversion Python 3 bindings
Group:		Development/Python

%description -n	python3-%{oname}
pysvn is a highlevel and easy to use Python 3 bindings to Subversion.

%package	docs
Summary:	Programmer's documentation for pysvn
Group:		Development/Python
BuildArch:	noarch

%description	docs
pysvn is a highlevel and easy to use Python bindings to Subversion.

This package contains the pysvn Programmer's Guide and the Programmer's
Reference.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
pushd Source
%{__python3} %{py_setup} %{?py_setup_args} configure --verbose --norpath --disable-deprecated-functions-warnings
%make_build
popd

%install
install -d %{buildroot}%{python3_sitearch}/%{oname}
cp -a Source/%{oname}/*.py %{buildroot}%{python3_sitearch}/%{oname}
cp -a Source/%{oname}/_pysvn*.so %{buildroot}%{python3_sitearch}/%{oname}

%files -n python3-pysvn
%doc LICENSE.txt
%{python3_sitearch}/%{oname}/

%files docs
%doc Docs/*.html Docs/*.js Examples


%changelog
* Sun Feb 02 2025 wally <wally> 1.9.23-1.mga10
+ Revision: 2144682
- new version 1.9.23

* Thu Dec 14 2023 papoteur <papoteur> 1.9.16-3.mga10
+ Revision: 2018059
- rebuild for python 3.12

* Sat Apr 02 2022 umeabot <umeabot> 1.9.16-2.mga9
+ Revision: 1840581
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.9.16-1.mga9
+ Revision: 1775717
- version 1.9.16
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.9.6-4.mga9
+ Revision: 1732382
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.9.6-3.mga8
+ Revision: 1535604
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.9.6-2.mga8
+ Revision: 1452569
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 1.9.6-1.mga7
+ Revision: 1354024
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.8.0-5.mga7
+ Revision: 1300580
- Mageia 7 Mass Rebuild

* Sat Jan 27 2018 daviddavid <daviddavid> 1.8.0-4.mga7
+ Revision: 1197380
- rename python-pysvn to python2-pysvn
- use some new python macros

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-3.mga7
+ Revision: 1135586
- Rebuild for python 3.6

* Wed Apr 27 2016 tv <tv> 1.8.0-2.mga6
+ Revision: 1006888
- use new macros

* Sat Feb 27 2016 luigiwalser <luigiwalser> 1.8.0-1.mga6
+ Revision: 979768
- 1.8.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 tv <tv> 1.7.6-9.mga6
+ Revision: 888512
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.7.6-8.mga5
+ Revision: 747760
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.6-7.mga5
+ Revision: 729581
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.6-6.mga5
+ Revision: 688281
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.7.6-5.mga5
+ Revision: 628967
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.7.6-4.mga4
+ Revision: 528929
- Mageia 4 Mass Rebuild

* Sat Jun 29 2013 fwang <fwang> 1.7.6-3.mga4
+ Revision: 448352
- add python3 flavour

* Sun Jan 13 2013 umeabot <umeabot> 1.7.6-2.mga3
+ Revision: 379418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 guillomovitch <guillomovitch> 1.7.6-1.mga3
+ Revision: 332601
- new version
- imported package python-pysvn


* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 1.7.4-2mdv2011.0
+ Revision: 605307
- Rebuild with apr with workaround to issue with gcc type based

* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 1.7.4-1mdv2011.0
+ Revision: 591241
- mark docs subpackage as noarch
- new version 1.7.4
- use fixed module name
- drop py_requires macro
- disable byte-compiling
- disable rpath
- use correct compiler flags

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 1.7.2-2mdv2010.1
+ Revision: 534501
- rebuild

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 1.7.2-1mdv2010.1
+ Revision: 486817
- update to new version 1.7.2

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 422259
- update to new version 1.7.0

* Wed Feb 18 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 1.6.3-1mdv2009.1
+ Revision: 342645
- new version 1.6.3

* Wed Feb 18 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 1.5.1-6mdv2009.1
+ Revision: 342578
- added patch to force the support of python 2.6

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 1.5.1-5mdv2009.1
+ Revision: 323992
- fix linkage
- rebuild

* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-4mdv2009.0
+ Revision: 285435
- fix deps
- rebuilt against latest neon libs

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.1-2mdv2008.0
+ Revision: 36976
- rebuild for expat


* Thu Mar 01 2007 Jérôme Soyer <saispo@mandriva.org> 1.5.1-1mdv2007.0
+ Revision: 130370
- New release

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - fix after version upgrade)

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 1.5.0-1mdv2007.1
+ Revision: 91597
- Remove patch and update
- Rebuild for latest pyhton

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - Import python-pysvn

